Bug 1459529 - cannot connect gsm modem
cannot connect gsm modem
Status: ON_QA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager (Show other bugs)
7.4
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Beniamino Galvani
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 08:03 EDT by Vladimir Benes
Modified: 2018-06-21 21:36 EDT (History)
9 users (show)

See Also:
Fixed In Version: NetworkManager-1.12.0-0.1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debug logs from NM and MM (81.77 KB, application/octet-stream)
2017-06-07 08:04 EDT, Vladimir Benes
no flags Details
[PATCH] all: add more meaningful error code for unsupported IP method (3.76 KB, patch)
2017-12-20 10:29 EST, Beniamino Galvani
no flags Details | Diff

  None (edit)
Description Vladimir Benes 2017-06-07 08:03:30 EDT
Description of problem:
cannot connect Huawei modem that worked in 7.2 with these errors:
[root@gsm-r5s8-01 ~]# nmcli  connection up id gsm 
Error: Connection activation failed: Unknown error
[root@gsm-r5s8-01 ~]# nmcli  connection up id gsm 
Error: Connection activation failed: IP configuration could not be reserved (no available address, timeout, etc.)

ipv6 is ignored and ipv4 method set to manual and ipv4.address to 10.0.0.1/24. 


Version-Release number of selected component (if applicable):
Bus 003 Device 004: ID 12d1:1003 Huawei Technologies Co., Ltd. E220 HSDPA Modem / E230/E270/E870 HSDPA/HSUPA Modem

NetworkManager-1.8.0-5.el7.x86_64
kernel-3.10.0-675.el7.x86_64
usb_modeswitch-data-20160612-2.el7.noarch
usb_modeswitch-2.4.0-5.el7.x86_64
ModemManager-1.6.0-2.el7.x86_64

How reproducible:
always
Comment 1 Vladimir Benes 2017-06-07 08:04:05 EDT
it worked in 7.3 not 7.2 as stated above
Comment 2 Vladimir Benes 2017-06-07 08:04 EDT
Created attachment 1285773 [details]
debug logs from NM and MM
Comment 3 Vladimir Benes 2017-06-07 08:21:15 EDT
Bus 003 Device 005: ID 1c9e:9603 OMEGA TECHNOLOGY 

the same issue
Comment 4 Beniamino Galvani 2017-06-09 12:37:47 EDT
Hi,

I tried the same on RHEL 7.3:

# nmcli connection show Vodafone\ Mobile\ Internet | grep "ipv4.method\|ipv4.addresses\|ipv6.method"
ipv4.method:                            manual
ipv4.addresses:                         10.0.0.1/24
ipv6.method:                            ignore

# nmcli connection up Vodafone\ Mobile\ Internet
 Error: Connection activation failed.

# rpm -q NetworkManager NetworkManager-wwan ModemManager
 NetworkManager-1.4.0-20.el7_3.x86_64
 NetworkManager-wwan-1.4.0-20.el7_3.x86_64
 ModemManager-1.6.0-2.el7.x86_64

From the journal:
 (ttyHS2): unhandled WWAN IPv4 method 'manual'; will fail
 device (ttyHS2): state change: ip-config -> failed (reason 'ip-config-unavailable') [70 120 5]
 active-connection[0x7fd7e1574b20]: set state deactivated (was activating)
 active-connection[0x7fd7e1574b20]: check-master-ready: not signalling (state deactivated, no master)
 device[0x7fd7e15f1760] (ttyHS2): remove_pending_action (0): 'activation::0x7fd7e1574b20'
 modem-broadband[ttyHS2]: notifying ModemManager about the modem disconnection
 policy: connection 'Vodafone Mobile Internet' failed to autoconnect; 3 tries left
 device (ttyHS2): Activation: failed for connection 'Vodafone Mobile Internet'

Do you confirm it is working on RHEL 7.3 for you?
Comment 5 Vladimir Benes 2017-06-12 05:43:09 EDT
(In reply to Beniamino Galvani from comment #4)
> Hi,
> 
> I tried the same on RHEL 7.3:
> 
> # nmcli connection show Vodafone\ Mobile\ Internet | grep
> "ipv4.method\|ipv4.addresses\|ipv6.method"
> ipv4.method:                            manual
> ipv4.addresses:                         10.0.0.1/24
> ipv6.method:                            ignore
> 
> # nmcli connection up Vodafone\ Mobile\ Internet
>  Error: Connection activation failed.
> 

as Lubo told me, manual method is not supported. We have to use auto to be able to connect. Not sure if this shouldn't be at least announced in the error message.
Comment 8 Beniamino Galvani 2017-07-13 11:54:21 EDT
Vlad, can you confirm that a supported configuration works?
Comment 9 Vladimir Benes 2017-09-12 06:11:34 EDT
(In reply to Beniamino Galvani from comment #8)
> Vlad, can you confirm that a supported configuration works?

yeah, connecting via modem works with auto method
Comment 10 Beniamino Galvani 2017-11-27 12:14:10 EST
Manual method for gsm connections is not supported.

Quoting dcbw on IRC:

"you cannot really control the IP, if you do get a static IP from the provider, they will just assign it to you on the network side and you get it the same way you get dynamic addresses".

So, the current limitation on the method=manual is intentional and it is not going to be changed.
Comment 11 Beniamino Galvani 2017-12-20 10:29 EST
Created attachment 1370512 [details]
[PATCH] all: add more meaningful error code for unsupported IP method

I think we should return a specific code for this error.
Comment 12 Beniamino Galvani 2017-12-20 10:31:52 EST
# nmcli connection mod "3 Ricaricabile" ipv4.method manual ipv4.address 1.2.3.4/32
# nmcli connection up  "3 Ricaricabile"
Error: Connection activation failed: The selected IP method is not supported

vs

Error: Connection activation failed: IP configuration could not be reserved (no available address, timeout, etc.)
Comment 13 Thomas Haller 2017-12-20 11:32:40 EST
(In reply to Beniamino Galvani from comment #11)
> Created attachment 1370512 [details]
> [PATCH] all: add more meaningful error code for unsupported IP method
> 
> I think we should return a specific code for this error.

lgtm

Note You need to log in before you can comment on or make changes to this bug.